# Vote

### Fields

| Field          | Type      | Description                                                                                                   |
| -------------- | --------- | ------------------------------------------------------------------------------------------------------------- |
| vote\_id       | string    | The id of the vote                                                                                            |
| user\_id       | snowflake | The id of the user who has voted                                                                              |
| bot\_id        | snowflake | The id of the bot which the user has voted for                                                                |
| since\_vote    | ?float    | Seconds that have elapsed since the vote                                                                      |
| rewarded       | boolean   | Whether the user vote has been rewarded and/or aknowledged (this must be manually changed via an API request) |
| test           | boolean   | Whether this is a testing bot vote (sent as a test via bot/server api dashboard) or not                       |
| monthly\_votes | integer   | Votes this month, excluding this vote.                                                                        |

### Example Output

```json
{
  "vote_id": "7019eeaa-a25a-446e-9122-dccf540e2405",
  "user_id": "129743267142362715",
  "bot_id": "7231198106540828102",
  "since_vote": 2.9213,
  "rewarded": false,
  "test": false,
  "monthly_votes": 12
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.diffcord.com/diffcord-documentation/resources/vote.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
